Package org.eclipse.jface.resource

# Class DataFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.eclipse.jface.resource.DataFormatException

All Implemented Interfaces:
  `Serializable`

public class DataFormatException extends IllegalArgumentException
An exception indicating that a string value could not be converted into the requested data type.

See Also:
  - `StringConverter`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DataFormatException()`
Creates a new exception.
`DataFormatException(String message)`
Creates a new exception.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataFormatException

public DataFormatException()
Creates a new exception.

### DataFormatException

public DataFormatException(String message)
Creates a new exception.

Parameters:
  `message` - the message